---
title: "List owners"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/owners`

## Path parameters

- `id` (`entity-list-owners.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/owners'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/owners';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/owners"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "owners": [
    {
      "ownerName": "string",
      "ownershipPercentage": 100,
      "ownerType": "individual",
      "position": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "totalOwnership": 0
}
```

- `entityId` (`entity-list-owners.response.200.entityId`; string, required)
  - format `uuid`
- `owners` (`entity-list-owners.response.200.owners`; array<object>, required)
  - `ownerName` (`entity-list-owners.response.200.owners.ownerName`; string, required)
    - minLength 1
  - `ownerType` (`entity-list-owners.response.200.owners.ownerType`; string, required)
    - one of `"individual"`, `"company"`, `"other"`
  - `id` (`entity-list-owners.response.200.owners.id`; string, required)
    - format `uuid`
  - `entityId` (`entity-list-owners.response.200.owners.entityId`; string, required)
    - format `uuid`
  - `ownershipPercentage` (`entity-list-owners.response.200.owners.ownershipPercentage`; any of, optional, nullable)
    - any of: `number`, `string`
  - `position` (`entity-list-owners.response.200.owners.position`; string, optional, nullable)
  - `createdAt` (`entity-list-owners.response.200.owners.createdAt`; string, optional)
    - format `date-time`
  - `updatedAt` (`entity-list-owners.response.200.owners.updatedAt`; string, optional)
    - format `date-time`
- `totalOwnership` (`entity-list-owners.response.200.totalOwnership`; number, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.400.error`; object, required)
  - `code` (`entity-list-owners.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.401.error`; object, required)
  - `code` (`entity-list-owners.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.403.error`; object, required)
  - `code` (`entity-list-owners.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.404.error`; object, required)
  - `code` (`entity-list-owners.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.409.error`; object, required)
  - `code` (`entity-list-owners.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.422.error`; object, required)
  - `code` (`entity-list-owners.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.429.error`; object, required)
  - `code` (`entity-list-owners.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.500.error`; object, required)
  - `code` (`entity-list-owners.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-owners.response.503.error`; object, required)
  - `code` (`entity-list-owners.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-owners.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-owners.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-owners.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-list-owners/index.md
